# Introduction to Non-Fungible Tokens

# Non-Fungible Tokens
Non-fungible tokens (NFTs) are a critical token primitive, representing unique, provably scarce digital objects. Unlike fungible tokens that have a flexible supply, NFTs are always singletons and cannot be subdivided into smaller units. 

NFTs have been used to represent the right to own, use, and exchange digital art collectibles, multimedia, in-game assets, permissions, and even insurance. NFTs are **not** mutually interchangeable, and typically have associated metadata noting their underlying assets and information.

Recently, NFTs have been a powerful primitive demonstrating usefulness in the creator space, enabling artists a means to tokenize and distribute their work in a unique way. 

# Standards and Resources
- **[FA2](https://gitlab.com/tzip/tzip/-/blob/master/proposals/tzip-12/tzip-12.md)** - a standard for a unified token contract interface, supporting a wide range of token types and implementations. 
- **[tzNFT](https://github.com/tqtezos/nft-tutorial)** - a tutorial showing users how to originate and interact with the FA2 NFT contract implementation.
- **[TZIP-021](https://gitlab.com/tzip/tzip/-/blob/tzip-21-spec/proposals/tzip-21/tzip-21.md)** - an emerging contract multimedia metadata standard. 

# Tools and Applications
- **[Kalamint](https://kalamint.io/)** - A community owned NFT marketplace on Tezos.
- **[OpenMinter](https://github.com/tqtezos/minter)** - A reusable dApp that allows anyone to create and collect NFTs on Tezos. 

# NFT Examples 
- **Digital Art and Multimedia:** The value of a piece of art is derived from its uniqueness and provenance - knowing that it came from a particular creator and that there is a single edition. NFTs provide a means to link digital art to a token, trace the provenance back to the art's creator, and even an easy means to buy and sell the art. NFTs are flexible enough to represent digital art, music, and even video, all of which are tied to the token via metadata. 

- **Collectibles and Gaming:** NFTs present a unique opportunity for digital collectibles such as memorabilia and trading cards because they provide provable scarcity. For example, an NFT representing a digital twin of an article of sports memorabilia is accurate in that there is only one of that object with the correct lineage and provenance available. Additionally, collectibles such as in-game items for video games are also great examples of use-cases for NFTs, as the items can be ported across games and traded instantly in secondary marketplaces outside of one single game. 

- **Tickets:** Since tickets to events are typically unique objects with individual serial numbers, they can be represented digitally as NFTs. Representing tickets as NFTs also prevents counterfeiting, as each NFT is a unique digital object that can't be copied due to an immutable record of provenance. Additionally, representing tickets as NFTs creates transparent aftermarkets which can curb scalping for exorbitant prices. 
